### Method

# FwupdPlugin Context load

since: 2.1.5

#### Declaration [src]

    gboolean
    fu_context_load (
      FuContext* self,
      FuProgress* progress,
      FuContextLoadFlags flags,
      GError** error
    )

#### Description [src]

Loads all hardware information and quirks into the context.

Available since: 2.1.5

#### Parameters

`progress`

  Type: `FuProgress`

  A `FuProgress`.

  The data is owned by the caller of the method.

`flags`

  Type: `FuContextLoadFlags`

  A `FuContextLoadFlags`, e.g. `FU_CONTEXT_LOAD_FLAG_HWID_SMBIOS`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.